unit adxWDOutlook_IMPL;

interface

uses
  SysUtils, ComObj, ComServ, ActiveX, Variants, adxAddIn, adxWDOutlook_TLB,
  StdVcl, Classes, Office2000, Word2000;

type
  TADX_WDOutlook = class(TadxAddin, IADX_WDOutlook)
  end;

  TAddInModule = class(TadxCOMAddInModule)
    adxCommandBar1: TadxCommandBar;
    procedure CommonButtonClick(Sender: TObject);
    procedure adxCOMAddInModuleAddInStartupComplete(Sender: TObject);
  private
    procedure DoWindowActivate(ASender: TObject; const Doc: WordDocument; const Wn: Window);
  protected
  public
  end;

implementation

{$R *.dfm}

uses Dialogs;

procedure TAddInModule.CommonButtonClick(Sender: TObject);
begin
  ShowMessage('Click!');
end;

procedure TAddInModule.adxCOMAddInModuleAddInStartupComplete(Sender: TObject);
begin
  WordApp.OnWindowActivate := DoWindowActivate;
end;

procedure TAddInModule.DoWindowActivate(ASender: TObject; const Doc: WordDocument; const Wn: Window);
var
  CmdBar: CommandBar;
begin
  try
    CmdBar := Doc.CommandBars.Item['Envelope'];
    if Assigned(CmdBar) and CmdBar.Visible then
      Doc.CommandBars.Item[adxCommandBar1.CommandBarName].Set_Visible(False)
    else
      Doc.CommandBars.Item[adxCommandBar1.CommandBarName].Set_Visible(True);
  except
    // not found
  end;
end;

initialization
  TadxFactory.Create(ComServer, TADX_WDOutlook, CLASS_ADX_WDOutlook, TAddInModule);

end.
